Package com.oracle.truffle.api.impl

## Class DefaultCompilerOptions

- java.lang.Object
- - com.oracle.truffle.api.impl.DefaultCompilerOptions

All Implemented Interfaces:
  `CompilerOptions`

    public class DefaultCompilerOptions
    extends java.lang.Object
    implements CompilerOptions

### Field Summary

Fields
`static DefaultCompilerOptions` `INSTANCE`

### Constructor Summary

Constructors
`DefaultCompilerOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setOption​(java.lang.String name, java.lang.Object value)`
`boolean` `supportsOption​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static DefaultCompilerOptions INSTANCE

### Constructor Detail

#### DefaultCompilerOptions

    public DefaultCompilerOptions()

### Method Detail

#### supportsOption

    public boolean supportsOption​(java.lang.String name)

Specified by:
  `supportsOption` in interface `CompilerOptions`

#### setOption

    public void setOption​(java.lang.String name,
                          java.lang.Object value)

Specified by:
  `setOption` in interface `CompilerOptions`